### Hierarchy

- TensorScriptContext
  - TensorScriptModelContext
    - TensorScriptLSTMModelContext

## Index

### Properties

- compiled
- getInputShape
- layers
- model
- reshape
- settings
- tf
- trained
- type
- xShape
- yShape

## Properties

### compiled

compiled: boolean

Inherited from TensorScriptContext.compiled

- Defined in src/model_interface.ts:15

### getInputShape

getInputShape: (...args: any[]) => any

- Defined in src/model_interface.ts:24

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### Optional layers

layers: TensorScriptLayers | TensorScriptSavedLayers

Inherited from TensorScriptContext.layers

- Defined in src/model_interface.ts:18

### model

model: any

- Defined in src/model_interface.ts:21

### reshape

reshape: (...args: any[]) => any

- Defined in src/model_interface.ts:23

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### settings

settings: TensorScriptOptions

Inherited from TensorScriptContext.settings

- Defined in src/model_interface.ts:13

### tf

tf: any

- Defined in src/model_interface.ts:22

### trained

trained: boolean

Inherited from TensorScriptContext.trained

- Defined in src/model_interface.ts:14

### Optional type

type: undefined | string

Inherited from TensorScriptContext.type

- Defined in src/model_interface.ts:12

### Optional xShape

xShape: number[]

Inherited from TensorScriptContext.xShape

- Defined in src/model_interface.ts:16

### Optional yShape

yShape: number[]

Inherited from TensorScriptContext.yShape

- Defined in src/model_interface.ts:17